Subject: Re: bug#64141: 27.1 newly has clunky type-break y-or-n-p

From: Juri Linkov <[email-masked]>
Date: Wed, 12 Jul 2023 09:43:25 +0300

> by modal do you mean ask as gui vs. kb depending on whether currently
> using mouse?

By modal I mean typing any key except y or n signals an error and does nothing.

> by no problems do you mean recent emacs has none?  27.1 does, but
> perhaps that is stone age.
>
> fwiw i cannot address v>27.1.

In v>27.1 you can set y-or-n-p-use-read-key to t that makes y-or-n-p modal.

> fwiw non-modal bug existed before 26.1.

Such non-modal bug still exists in all versions for yes-or-no-p.